from django.core.management import BaseCommand
from talos.cache.base import fake_vote_cache


class Command(BaseCommand):

    def handle(self, *args, **options):
        """
        删除灌水任务
        :param args:
        :param options:
        :return:
        """
        keys = ['tr_fake_vote_cache', 'd_fake_vote_cache', 't_fake_vote_cache', 'q_fake_vote_cache']

        for k in keys:
            print('del key: {}'.format(k))
            fake_vote_cache.delete(k)

        print('Done')
